{
    "SPDXID": "SPDXRef-DOCUMENT",
    "creationInfo": {
        "created": "2024-10-02T14:48:59Z",
        "creators": [
            "Organization: TheQtCompany",
            "Tool: Qt Build System"
        ],
        "comment": "This SPDX document was created from CMake 3.27.7, using the qt\nbuild system from https://code.qt.io/cgit/qt/qtbase.git/tree/cmake/QtPublicSbomHelpers.cmake"
    },
    "dataLicense": "CC0-1.0",
    "externalDocumentRefs": [
        {
            "externalDocumentId": "DocumentRef-qtbase",
            "spdxDocument": "https://qt.io/spdxdocs/qtbase-6.8.0",
            "checksum": {
                "algorithm": "SHA1",
                "checksumValue": "7cd7c9909e1e9a7ae72566719377d63a56bc7ec3"
            }
        },
        {
            "externalDocumentId": "DocumentRef-qtdeclarative",
            "spdxDocument": "https://qt.io/spdxdocs/qtdeclarative-6.8.0",
            "checksum": {
                "algorithm": "SHA1",
                "checksumValue": "91b9d849899c0089c05e73849eeffd2685b9e262"
            }
        }
    ],
    "hasExtractedLicensingInfos": [
        {
            "extractedText": "Licensees holding valid commercial Qt licenses may use this software in\naccordance with the the terms contained in a written agreement between\nyou and The Qt Company. Alternatively, the terms and conditions that were\naccepted by the licensee when buying and/or downloading the\nsoftware do apply.\n\nFor the latest licensing terms and conditions, see https://www.qt.io/terms-conditions.\nFor further information use the contact form at https://www.qt.io/contact-us.\n",
            "licenseId": "LicenseRef-Qt-Commercial"
        }
    ],
    "name": "qtlottie-6.8.0",
    "spdxVersion": "SPDX-2.3",
    "documentNamespace": "https://qt.io/spdxdocs/qtlottie-6.8.0",
    "packages": [
        {
            "SPDXID": "SPDXRef-compiler",
            "copyrightText": "NOASSERTION",
            "downloadLocation": "NOASSERTION",
            "filesAnalyzed": false,
            "licenseConcluded": "NOASSERTION",
            "licenseDeclared": "NOASSERTION",
            "name": "Clang",
            "primaryPackagePurpose": "APPLICATION",
            "summary": "The compiler as identified by CMake, running on Windows (AMD64)",
            "supplier": "Organization: Anonymous",
            "versionInfo": "19.0.0"
        },
        {
            "SPDXID": "SPDXRef-Package-qtlottie",
            "builtDate": "2024-10-02T14:48:59Z",
            "comment": "Built by CMake 3.27.7 with Release configuration for Emscripten (x86)",
            "copyrightText": "Copyright (C) 2024 The Qt Company Ltd.",
            "downloadLocation": "git://code.qt.io/qt/qtlottie.git",
            "externalRefs": [
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qt:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                },
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:generic/TheQtCompany/qtlottie@6.8.0",
                    "referenceType": "purl"
                }
            ],
            "filesAnalyzed": true,
            "homepage": "https://qt.io",
            "licenseConcluded": "NOASSERTION",
            "licenseDeclared": "NOASSERTION",
            "name": "qtlottie",
            "packageVerificationCode": {
                "packageVerificationCodeValue": "1ca019360cb8c1daca63bb487fb53f71bfc4d194"
            },
            "supplier": "Organization: TheQtCompany",
            "versionInfo": "6.8.0"
        },
        {
            "SPDXID": "SPDXRef-Package-qtlottie-qt-module-BodymovinPrivate",
            "copyrightText": "Copyright (C) 2024 The Qt Company Ltd.",
            "downloadLocation": "git://code.qt.io/qt/qtlottie.git",
            "externalRefs": [
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:github/qt/qtlottie?library_name=BodymovinPrivate#src/bodymovin",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:generic/TheQtCompany/qtlottie-BodymovinPrivate?vcs_url=https://code.qt.io/qt/qtlottie.git&library_name=BodymovinPrivate#src/bodymovin",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qtlottie:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qt:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                }
            ],
            "filesAnalyzed": true,
            "licenseConcluded": "LicenseRef-Qt-Commercial OR GPL-3.0-only",
            "licenseDeclared": "LicenseRef-Qt-Commercial OR GPL-3.0-only",
            "name": "BodymovinPrivate",
            "primaryPackagePurpose": "LIBRARY",
            "supplier": "Organization: TheQtCompany",
            "versionInfo": "6.8.0"
        },
        {
            "SPDXID": "SPDXRef-Package-qtlottie-qt-plugin-lottieqtplugin",
            "copyrightText": "Copyright (C) 2024 The Qt Company Ltd.",
            "downloadLocation": "git://code.qt.io/qt/qtlottie.git",
            "externalRefs": [
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:github/qt/qtlottie?library_name=lottieqtplugin#src/imports",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:generic/TheQtCompany/qtlottie-lottieqtplugin?vcs_url=https://code.qt.io/qt/qtlottie.git&library_name=lottieqtplugin#src/imports",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qtlottie:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qt:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                }
            ],
            "filesAnalyzed": true,
            "licenseConcluded": "LicenseRef-Qt-Commercial OR GPL-3.0-only",
            "licenseDeclared": "LicenseRef-Qt-Commercial OR GPL-3.0-only",
            "name": "lottieqtplugin",
            "primaryPackagePurpose": "LIBRARY",
            "supplier": "Organization: TheQtCompany",
            "versionInfo": "6.8.0"
        }
    ],
    "files": [
        {
            "SPDXID": "SPDXRef-PackagedFile-qt-module-BodymovinPrivate",
            "checksums": [
                {
                    "algorithm": "SHA1",
                    "checksumValue": "3c3d05d40c381fd1a7758add68652391a26ecd2e"
                }
            ],
            "copyrightText": "Copyright (C) 2024 The Qt Company Ltd.",
            "fileName": "./lib/libQt6Bodymovin.a",
            "fileTypes": [
                "BINARY"
            ],
            "licenseConcluded": "LicenseRef-Qt-Commercial OR GPL-3.0-only",
            "licenseInfoInFiles": [
                "NOASSERTION"
            ]
        },
        {
            "SPDXID": "SPDXRef-PackagedFile-qt-plugin-lottieqtplugin",
            "checksums": [
                {
                    "algorithm": "SHA1",
                    "checksumValue": "59ff5d50483f1f2c6620670dad67e925c1dc808b"
                }
            ],
            "copyrightText": "Copyright (C) 2024 The Qt Company Ltd.",
            "fileName": "./qml/Qt/labs/lottieqt/liblottieqtplugin.a",
            "fileTypes": [
                "BINARY"
            ],
            "licenseConcluded": "LicenseRef-Qt-Commercial OR GPL-3.0-only",
            "licenseInfoInFiles": [
                "NOASSERTION"
            ]
        }
    ],
    "relationships": [
        {
            "spdxElementId": "SPDXRef-compiler",
            "comment": "SPDXRef-Package-qtlottie is built by compiler Clang (C:/Utils/emsdk/upstream/emscripten/em++.bat) version 19.0.0",
            "relatedSpdxElement": "SPDXRef-Package-qtlottie",
            "relationshipType": "BUILD_DEPENDENCY_OF"
        },
        {
            "spdxElementId": "SPDXRef-DOCUMENT",
            "relatedSpdxElement": "SPDXRef-Package-qtlottie",
            "relationshipType": "DESCRIBES"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtlottie-qt-module-BodymovinPrivate",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-PlatformModuleInternal",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtlottie-qt-module-BodymovinPrivate",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-Core",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtlottie-qt-module-BodymovinPrivate",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-Gui",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtlottie",
            "relatedSpdxElement": "SPDXRef-Package-qtlottie-qt-module-BodymovinPrivate",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtlottie-qt-module-BodymovinPrivate",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-module-BodymovinPrivate",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtlottie-qt-module-BodymovinPrivate",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-module-BodymovinPrivate",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-BodymovinPrivate",
            "comment": "C:/Users/qt/work/qt/qtlottie/src/bodymovin/beziereasing.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-BodymovinPrivate",
            "comment": "C:/Users/qt/work/qt/qtlottie/src/bodymovin/beziereasing_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-BodymovinPrivate",
            "comment": "C:/Users/qt/work/qt/qtlottie/src/bodymovin/bmbase.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-BodymovinPrivate",
            "comment": "C:/Users/qt/work/qt/qtlottie/src/bodymovin/bmbase_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-BodymovinPrivate",
            "comment": "C:/Users/qt/work/qt/qtlottie/src/bodymovin/bmbasictransform.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-BodymovinPrivate",
            "comment": "C:/Users/qt/work/qt/qtlottie/src/bodymovin/bmbasictransform_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-BodymovinPrivate",
            "comment": "C:/Users/qt/work/qt/qtlottie/src/bodymovin/bmconstants_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-BodymovinPrivate",
            "comment": "C:/Users/qt/work/qt/qtlottie/src/bodymovin/bmellipse.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-BodymovinPrivate",
            "comment": "C:/Users/qt/work/qt/qtlottie/src/bodymovin/bmellipse_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-BodymovinPrivate",
            "comment": "C:/Users/qt/work/qt/qtlottie/src/bodymovin/bmfill.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-BodymovinPrivate",
            "comment": "C:/Users/qt/work/qt/qtlottie/src/bodymovin/bmfill_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-BodymovinPrivate",
            "comment": "C:/Users/qt/work/qt/qtlottie/src/bodymovin/bmfilleffect.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-BodymovinPrivate",
            "comment": "C:/Users/qt/work/qt/qtlottie/src/bodymovin/bmfilleffect_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-BodymovinPrivate",
            "comment": "C:/Users/qt/work/qt/qtlottie/src/bodymovin/bmfreeformshape.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-BodymovinPrivate",
            "comment": "C:/Users/qt/work/qt/qtlottie/src/bodymovin/bmfreeformshape_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-BodymovinPrivate",
            "comment": "C:/Users/qt/work/qt/qtlottie/src/bodymovin/bmgfill.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-BodymovinPrivate",
            "comment": "C:/Users/qt/work/qt/qtlottie/src/bodymovin/bmgfill_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-BodymovinPrivate",
            "comment": "C:/Users/qt/work/qt/qtlottie/src/bodymovin/bmglobal.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-BodymovinPrivate",
            "comment": "C:/Users/qt/work/qt/qtlottie/src/bodymovin/bmgroup.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-BodymovinPrivate",
            "comment": "C:/Users/qt/work/qt/qtlottie/src/bodymovin/bmgroup_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-BodymovinPrivate",
            "comment": "C:/Users/qt/work/qt/qtlottie/src/bodymovin/bmimage.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-BodymovinPrivate",
            "comment": "C:/Users/qt/work/qt/qtlottie/src/bodymovin/bmimage_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-BodymovinPrivate",
            "comment": "C:/Users/qt/work/qt/qtlottie/src/bodymovin/bmimagelayer.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-BodymovinPrivate",
            "comment": "C:/Users/qt/work/qt/qtlottie/src/bodymovin/bmimagelayer_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-BodymovinPrivate",
            "comment": "C:/Users/qt/work/qt/qtlottie/src/bodymovin/bmlayer.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-BodymovinPrivate",
            "comment": "C:/Users/qt/work/qt/qtlottie/src/bodymovin/bmlayer_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-BodymovinPrivate",
            "comment": "C:/Users/qt/work/qt/qtlottie/src/bodymovin/bmpathtrimmer.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-BodymovinPrivate",
            "comment": "C:/Users/qt/work/qt/qtlottie/src/bodymovin/bmpathtrimmer_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-BodymovinPrivate",
            "comment": "C:/Users/qt/work/qt/qtlottie/src/bodymovin/bmproperty_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-BodymovinPrivate",
            "comment": "C:/Users/qt/work/qt/qtlottie/src/bodymovin/bmrect.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-BodymovinPrivate",
            "comment": "C:/Users/qt/work/qt/qtlottie/src/bodymovin/bmrect_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-BodymovinPrivate",
            "comment": "C:/Users/qt/work/qt/qtlottie/src/bodymovin/bmrepeater.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-BodymovinPrivate",
            "comment": "C:/Users/qt/work/qt/qtlottie/src/bodymovin/bmrepeater_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-BodymovinPrivate",
            "comment": "C:/Users/qt/work/qt/qtlottie/src/bodymovin/bmrepeatertransform.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-BodymovinPrivate",
            "comment": "C:/Users/qt/work/qt/qtlottie/src/bodymovin/bmrepeatertransform_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-BodymovinPrivate",
            "comment": "C:/Users/qt/work/qt/qtlottie/src/bodymovin/bmround.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-BodymovinPrivate",
            "comment": "C:/Users/qt/work/qt/qtlottie/src/bodymovin/bmround_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-BodymovinPrivate",
            "comment": "C:/Users/qt/work/qt/qtlottie/src/bodymovin/bmshape.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-BodymovinPrivate",
            "comment": "C:/Users/qt/work/qt/qtlottie/src/bodymovin/bmshape_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-BodymovinPrivate",
            "comment": "C:/Users/qt/work/qt/qtlottie/src/bodymovin/bmshapelayer.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-BodymovinPrivate",
            "comment": "C:/Users/qt/work/qt/qtlottie/src/bodymovin/bmshapelayer_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-BodymovinPrivate",
            "comment": "C:/Users/qt/work/qt/qtlottie/src/bodymovin/bmshapetransform.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-BodymovinPrivate",
            "comment": "C:/Users/qt/work/qt/qtlottie/src/bodymovin/bmshapetransform_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-BodymovinPrivate",
            "comment": "C:/Users/qt/work/qt/qtlottie/src/bodymovin/bmspatialproperty_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-BodymovinPrivate",
            "comment": "C:/Users/qt/work/qt/qtlottie/src/bodymovin/bmstroke.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-BodymovinPrivate",
            "comment": "C:/Users/qt/work/qt/qtlottie/src/bodymovin/bmstroke_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-BodymovinPrivate",
            "comment": "C:/Users/qt/work/qt/qtlottie/src/bodymovin/bmtrimpath.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-BodymovinPrivate",
            "comment": "C:/Users/qt/work/qt/qtlottie/src/bodymovin/bmtrimpath_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-BodymovinPrivate",
            "comment": "C:/Users/qt/work/qt/qtlottie/src/bodymovin/lottierenderer.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-BodymovinPrivate",
            "comment": "C:/Users/qt/work/qt/qtlottie/src/bodymovin/lottierenderer_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-BodymovinPrivate",
            "comment": "C:/Users/qt/work/qt/qtlottie/src/bodymovin/trimpath.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-BodymovinPrivate",
            "comment": "C:/Users/qt/work/qt/qtlottie/src/bodymovin/trimpath_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-BodymovinPrivate",
            "comment": "C:/Users/qt/work/qt/qtlottie/src/bodymovin/C:/Users/qt/work/qt/qtlottie/build/target/src/bodymovin/meta_types/qt6bodymovinprivate_release_metatypes.json.gen",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtlottie-qt-plugin-lottieqtplugin",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-Core",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtlottie-qt-plugin-lottieqtplugin",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-Gui",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtlottie-qt-plugin-lottieqtplugin",
            "relatedSpdxElement": "DocumentRef-qtdeclarative:SPDXRef-Package-qtdeclarative-qt-module-Qml",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtlottie-qt-plugin-lottieqtplugin",
            "relatedSpdxElement": "DocumentRef-qtdeclarative:SPDXRef-Package-qtdeclarative-qt-module-Quick",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtlottie-qt-plugin-lottieqtplugin",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-PlatformPluginInternal",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtlottie-qt-plugin-lottieqtplugin",
            "relatedSpdxElement": "SPDXRef-Package-qtlottie-qt-module-BodymovinPrivate",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtlottie",
            "relatedSpdxElement": "SPDXRef-Package-qtlottie-qt-plugin-lottieqtplugin",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtlottie-qt-plugin-lottieqtplugin",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-plugin-lottieqtplugin",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtlottie-qt-plugin-lottieqtplugin",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-plugin-lottieqtplugin",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-lottieqtplugin",
            "comment": "C:/Users/qt/work/qt/qtlottie/src/imports/lottieanimation.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-lottieqtplugin",
            "comment": "C:/Users/qt/work/qt/qtlottie/src/imports/lottieanimation.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-lottieqtplugin",
            "comment": "C:/Users/qt/work/qt/qtlottie/src/imports/rasterrenderer/batchrenderer.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-lottieqtplugin",
            "comment": "C:/Users/qt/work/qt/qtlottie/src/imports/rasterrenderer/batchrenderer.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-lottieqtplugin",
            "comment": "C:/Users/qt/work/qt/qtlottie/src/imports/rasterrenderer/lottierasterrenderer.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-lottieqtplugin",
            "comment": "C:/Users/qt/work/qt/qtlottie/src/imports/rasterrenderer/lottierasterrenderer.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-lottieqtplugin",
            "comment": "C:/Users/qt/work/qt/qtlottie/src/imports/C:/Users/qt/work/qt/qtlottie/build/target/src/imports/meta_types/qt6lottieqtplugin_release_metatypes.json.gen",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-lottieqtplugin",
            "comment": "C:/Users/qt/work/qt/qtlottie/src/imports/C:/Users/qt/work/qt/qtlottie/build/target/src/imports/lottieqtplugin_qmltyperegistrations.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-lottieqtplugin",
            "comment": "C:/Users/qt/work/qt/qtlottie/src/imports/C:/Users/qt/work/qt/qtlottie/build/target/src/imports/.qt/rcc/qrc_qmake_Qt_labs_lottieqt.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-lottieqtplugin",
            "comment": "C:/Users/qt/work/qt/qtlottie/src/imports/C:/Users/qt/work/qt/qtlottie/build/target/src/imports/lottieqtplugin_BodymovinPlugin.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        }
    ]
}